# Generated by Django 5.1.7 on 2025-05-29 03:57

import django.db.models.deletion
import wagtail.fields
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0125_jobvacancypage_image"),
        ("wagtailimages", "0027_image_description"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="articleindexpage",
            options={
                "verbose_name": "[OLD]ENAP Página de Índice de Artigos",
                "verbose_name_plural": "[OLD]ENAP Páginas de Índice de Artigos",
            },
        ),
        migrations.AlterModelOptions(
            name="articlepage",
            options={
                "verbose_name": "[OLD]ENAP Artigo",
                "verbose_name_plural": "[OLD]ENAP Artigos",
            },
        ),
        migrations.AddField(
            model_name="enapnoticia",
            name="author",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="enap_noticiapage_set",
                to=settings.AUTH_USER_MODEL,
                verbose_name="Autor",
            ),
        ),
        migrations.AddField(
            model_name="enapnoticia",
            name="author_display",
            field=models.CharField(
                blank=True,
                help_text="Substitui como o nome do autor é exibido neste artigo.",
                max_length=255,
                verbose_name="Exibir autor como",
            ),
        ),
        migrations.AddField(
            model_name="enapnoticia",
            name="body",
            field=wagtail.fields.StreamField(
                [
                    ("richtext", 0),
                    ("button", 14),
                    ("image", 17),
                    ("quote", 19),
                    ("carousel", 26),
                    ("download", 30),
                    ("embed_video", 32),
                    ("noticias_carousel", 35),
                    ("eventos_carousel", 37),
                ],
                blank=True,
                block_lookup={
                    0: ("enap_designsystem.blocks.html_blocks.RichTextBlock", (), {}),
                    1: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [("", "Default")],
                            "label": "Template",
                            "required": False,
                        },
                    ),
                    2: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Custom CSS Class",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    3: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Custom ID", "max_length": 255, "required": False},
                    ),
                    4: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Category",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    5: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Label",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    6: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 1),
                                ("custom_css_class", 2),
                                ("custom_id", 3),
                                ("ga_tracking_event_category", 4),
                                ("ga_tracking_event_label", 5),
                            ]
                        ],
                        {},
                    ),
                    7: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {"label": "Page link", "required": False},
                    ),
                    8: (
                        "wagtail.documents.blocks.DocumentChooserBlock",
                        (),
                        {"label": "Document link", "required": False},
                    ),
                    9: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Other link", "max_length": 255, "required": False},
                    ),
                    10: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Title", "max_length": 255, "required": False},
                    ),
                    11: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("primary", "Tipo primário"),
                                ("secondary", "Tipo secundário"),
                                ("terciary", "Tipo terciário"),
                            ],
                            "help_text": "Escolha o tipo do botão",
                            "label": "Tipo de botão",
                        },
                    ),
                    12: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("small", "Pequeno"),
                                ("medium", "Médio"),
                                ("large", "Grande"),
                                ("extra-large", "Extra grande"),
                            ],
                            "help_text": "Escolha o tamanho do botão",
                            "label": "Tamanho",
                        },
                    ),
                    13: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {"label": "Icone", "required": False},
                    ),
                    14: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 6),
                                ("page_link", 7),
                                ("doc_link", 8),
                                ("other_link", 9),
                                ("button_title", 10),
                                ("type_class", 11),
                                ("size_class", 12),
                                ("icone_bool", 13),
                            ]
                        ],
                        {},
                    ),
                    15: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"required": True},
                    ),
                    16: ("wagtail.blocks.CharBlock", (), {"required": False}),
                    17: (
                        "wagtail.blocks.StructBlock",
                        [[("image", 15), ("caption", 16)]],
                        {},
                    ),
                    18: ("wagtail.blocks.TextBlock", (), {"required": True}),
                    19: (
                        "wagtail.blocks.StructBlock",
                        [[("quote", 18), ("attribution", 16)]],
                        {},
                    ),
                    20: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem de fundo para o slide", "required": True},
                    ),
                    21: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("title_center", "Título centralizado"),
                                (
                                    "title_desc_left",
                                    "Título e descrição à esquerda com grafismo",
                                ),
                                ("blank", "Slide em branco"),
                            ],
                            "help_text": "Escolha o formato do slide",
                        },
                    ),
                    22: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título do slide (não usado no formato em branco)",
                            "required": False,
                        },
                    ),
                    23: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "help_text": "Descrição do slide (usado apenas no formato 'Título e descrição à esquerda')",
                            "required": False,
                        },
                    ),
                    24: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("background_image", 20),
                                ("slide_type", 21),
                                ("title", 22),
                                ("description", 23),
                            ]
                        ],
                        {},
                    ),
                    25: (
                        "wagtail.blocks.ListBlock",
                        (24,),
                        {
                            "help_text": "Adicione slides ao carrossel (entre 1 e 10)",
                            "max_num": 10,
                            "min_num": 1,
                        },
                    ),
                    26: ("wagtail.blocks.StructBlock", [[("slides", 25)]], {}),
                    27: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 1),
                                ("custom_css_class", 2),
                                ("custom_id", 3),
                            ]
                        ],
                        {},
                    ),
                    28: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("btn-primary", "Primary"),
                                ("btn-secondary", "Secondary"),
                                ("btn-success", "Success"),
                                ("btn-danger", "Danger"),
                                ("btn-warning", "Warning"),
                                ("btn-info", "Info"),
                                ("btn-link", "Link"),
                                ("btn-light", "Light"),
                                ("btn-dark", "Dark"),
                                ("btn-outline-primary", "Outline Primary"),
                                ("btn-outline-secondary", "Outline Secondary"),
                                ("btn-outline-success", "Outline Success"),
                                ("btn-outline-danger", "Outline Danger"),
                                ("btn-outline-warning", "Outline Warning"),
                                ("btn-outline-info", "Outline Info"),
                                ("btn-outline-light", "Outline Light"),
                                ("btn-outline-dark", "Outline Dark"),
                            ],
                            "label": "Button Style",
                            "required": False,
                        },
                    ),
                    29: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("btn-sm", "Small"),
                                ("", "Default"),
                                ("btn-lg", "Large"),
                            ],
                            "label": "Button Size",
                            "required": False,
                        },
                    ),
                    30: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 27),
                                ("button_style", 28),
                                ("button_size", 29),
                                ("button_title", 10),
                                ("downloadable_file", 8),
                            ]
                        ],
                        {},
                    ),
                    31: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"help_text": "URL do YouTube ou Vimeo", "required": True},
                    ),
                    32: (
                        "wagtail.blocks.StructBlock",
                        [[("url", 31), ("caption", 16)]],
                        {},
                    ),
                    33: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                            "label": "Parent page",
                            "required": True,
                        },
                    ),
                    34: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {"default": 3, "label": "Number of pages to show"},
                    ),
                    35: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 27), ("indexed_by", 33), ("num_posts", 34)]],
                        {},
                    ),
                    36: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page's LAYOUT tab.",
                            "label": "Parent page",
                            "required": True,
                        },
                    ),
                    37: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 27), ("indexed_by", 36), ("num_posts", 34)]],
                        {},
                    ),
                },
                null=True,
                verbose_name="Conteúdo",
            ),
        ),
        migrations.AddField(
            model_name="enapnoticia",
            name="caption",
            field=models.CharField(blank=True, max_length=255, verbose_name="Legenda"),
        ),
        migrations.AddField(
            model_name="enapnoticia",
            name="date_display",
            field=models.DateField(
                blank=True, null=True, verbose_name="Data de publicação para exibição"
            ),
        ),
        migrations.AddField(
            model_name="enapnoticia",
            name="featured_image",
            field=models.ForeignKey(
                blank=True,
                help_text="Imagem usada para compartilhamento em redes sociais e listagens",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="wagtailimages.image",
                verbose_name="Imagem destacada",
            ),
        ),
        migrations.AlterField(
            model_name="articlepage",
            name="author",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="articlepage_author_set",
                to=settings.AUTH_USER_MODEL,
                verbose_name="Autor",
            ),
        ),
    ]
